"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = notYetCalculatedTripRenderer;

var _baseRenderer = _interopRequireDefault(require("./base-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Calculates various data for monitored trips where otp-middleware has yet to
 * calculate when the next trip is occurring.
 */
function notYetCalculatedTripRenderer(monitoredTrip) {
  const data = (0, _baseRenderer.default)(monitoredTrip);
  data.headingText = 'Trip not yet calculated';
  data.lastCheckedText = 'Awaiting calculation...';
  data.bodyText = 'Please wait a bit for the trip to calculate.';
  data.shouldRenderAlerts = false;
  return data;
}

module.exports = exports.default;

//# sourceMappingURL=not-yet-calculated-renderer.js