"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = snoozedRenderer;

var _baseRenderer = _interopRequireDefault(require("./base-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Calculates various data for monitored trips that are have been set to be
 * snoozed for the rest of the day.
 */
function snoozedRenderer(monitoredTrip) {
  const data = (0, _baseRenderer.default)(monitoredTrip);
  data.headingText = 'Trip monitoring is snoozed for today';
  data.bodyText = 'Unsnooze trip monitoring to see the updated status';
  data.shouldRenderAlerts = false;
  data.shouldRenderToggleSnoozeTripButton = true;
  return data;
}

module.exports = exports.default;

//# sourceMappingURL=snoozed-renderer.js